Package org.zkoss.zk.ui.http

## Class HttpSessionListener23

- java.lang.Object
- - org.zkoss.zk.ui.http.HttpSessionListener23

- All Implemented Interfaces:
    `java.util.EventListener`, `javax.servlet.http.HttpSessionAttributeListener`, `javax.servlet.http.HttpSessionListener`, `javax.servlet.ServletContextAttributeListener`, `javax.servlet.ServletContextListener`
  Direct Known Subclasses:
    `HttpSessionListener`

      public class HttpSessionListener23
      extends java.lang.Object
      implements javax.servlet.http.HttpSessionListener, javax.servlet.http.HttpSessionAttributeListener, javax.servlet.ServletContextAttributeListener, javax.servlet.ServletContextListener

  The listener works with Servlet 2.3. For servers that support Servlet 2.4 or later, please use `HttpSessionListener` instead.

  With this listener, there is no way to detect the modification of the request attributes.

  Since:
    5.0.0
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpSessionListener23()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `attributeAdded​(javax.servlet.http.HttpSessionBindingEvent evt)` |
    `void` | `attributeAdded​(javax.servlet.ServletContextAttributeEvent evt)` |
    `void` | `attributeRemoved​(javax.servlet.http.HttpSessionBindingEvent evt)` |
    `void` | `attributeRemoved​(javax.servlet.ServletContextAttributeEvent evt)` |
    `void` | `attributeReplaced​(javax.servlet.http.HttpSessionBindingEvent evt)` |
    `void` | `attributeReplaced​(javax.servlet.ServletContextAttributeEvent evt)` |
    `void` | `contextDestroyed​(javax.servlet.ServletContextEvent arg0)` |
    `void` | `contextInitialized​(javax.servlet.ServletContextEvent event)` |
    `void` | `sessionCreated​(javax.servlet.http.HttpSessionEvent evt)` |
    `void` | `sessionDestroyed​(javax.servlet.http.HttpSessionEvent evt)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpSessionListener23

          public HttpSessionListener23()

  - ### Method Detail

    - #### sessionCreated

          public void sessionCreated​(javax.servlet.http.HttpSessionEvent evt)

      Specified by:
        `sessionCreated` in interface `javax.servlet.http.HttpSessionListener`

    - #### sessionDestroyed

          public void sessionDestroyed​(javax.servlet.http.HttpSessionEvent evt)

      Specified by:
        `sessionDestroyed` in interface `javax.servlet.http.HttpSessionListener`

    - #### attributeAdded

          public void attributeAdded​(javax.servlet.http.HttpSessionBindingEvent evt)

      Specified by:
        `attributeAdded` in interface `javax.servlet.http.HttpSessionAttributeListener`

    - #### attributeAdded

          public void attributeAdded​(javax.servlet.ServletContextAttributeEvent evt)

      Specified by:
        `attributeAdded` in interface `javax.servlet.ServletContextAttributeListener`

    - #### attributeRemoved

          public void attributeRemoved​(javax.servlet.http.HttpSessionBindingEvent evt)

      Specified by:
        `attributeRemoved` in interface `javax.servlet.http.HttpSessionAttributeListener`

    - #### attributeRemoved

          public void attributeRemoved​(javax.servlet.ServletContextAttributeEvent evt)

      Specified by:
        `attributeRemoved` in interface `javax.servlet.ServletContextAttributeListener`

    - #### attributeReplaced

          public void attributeReplaced​(javax.servlet.http.HttpSessionBindingEvent evt)

      Specified by:
        `attributeReplaced` in interface `javax.servlet.http.HttpSessionAttributeListener`

    - #### attributeReplaced

          public void attributeReplaced​(javax.servlet.ServletContextAttributeEvent evt)

      Specified by:
        `attributeReplaced` in interface `javax.servlet.ServletContextAttributeListener`

    - #### contextDestroyed

          public void contextDestroyed​(javax.servlet.ServletContextEvent arg0)

      Specified by:
        `contextDestroyed` in interface `javax.servlet.ServletContextListener`

    - #### contextInitialized

          public void contextInitialized​(javax.servlet.ServletContextEvent event)

      Specified by:
        `contextInitialized` in interface `javax.servlet.ServletContextListener`